polybori::groebner::SetAssociatedMinimal< KeyType, Value > Class Template Reference

This class set the attribute `minimal` of a given index to a valued selected by the template parameter `Value`. More...

`#include <SetAssociatedMinimal.h>`

## Public Member Functions

| SetAssociatedMinimal (PolyEntryVector &strat)
void | operator() (const KeyType &key) const

## Detailed Description

### template<class KeyType, bool Value>
class polybori::groebner::SetAssociatedMinimal< KeyType, Value >

This class set the attribute `minimal` of a given index to a valued selected by the template parameter `Value`.

## Constructor & Destructor Documentation

template<class KeyType , bool Value>

polybori::groebner::SetAssociatedMinimal< KeyType, Value >::SetAssociatedMinimal | ( | PolyEntryVector & | strat) |  |

inline

## Member Function Documentation

template<class KeyType , bool Value>

void polybori::groebner::SetAssociatedMinimal< KeyType, Value >::operator() | ( | const KeyType & | key) |  | const

inline

The documentation for this class was generated from the following file:

- SetAssociatedMinimal.h